Loading...
Searching...
No Matches
state.h File Reference

Go to the source code of this file.

## Data Structures

struct | ARC_State

## Typedefs

typedef void(* | ARC_State_UpdateFn) (void *data)
typedef void(* | ARC_State_RenderFn) (void *data)
typedef struct ARC_State | ARC_State

## Functions

void | ARC_State_Update (void *data)
void | ARC_State_Render (void *data)

## Typedef Documentation

## ARC_State

typedef struct ARC_State ARC_State

## ARC_State_RenderFn

typedef void(* ARC_State_RenderFn) (void *data)

Definition at line 9 of file state.h.

## ARC_State_UpdateFn

typedef void(* ARC_State_UpdateFn) (void *data)

Definition at line 8 of file state.h.

## Function Documentation

## ARC_State_Render()

void ARC_State_Render | ( | void * | data | ) |

## ARC_State_Update()

void ARC_State_Update | ( | void * | data | ) |